Bug 103050 - FILESAVE XLSX: Arrow pointing left is rotated right after save
Summary: FILESAVE XLSX: Arrow pointing left is rotated right after save
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Shapes
  Show dependency treegraph
 
Reported: 2016-10-07 11:38 UTC by Gabor Kelemen
Modified: 2020-08-31 14:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The problematic file (8.82 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-07 11:38 UTC, Gabor Kelemen
Details
File modified in Calc 5.3alpha (7.01 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-10-07 11:40 UTC, Gabor Kelemen
Details
Screenshot of the files in Calc 5.3alpha (141.38 KB, image/png)
2016-10-07 11:43 UTC, Gabor Kelemen
Details
The same files opened in Excel 2013 (101.38 KB, image/png)
2016-10-07 11:48 UTC, Gabor Kelemen
Details
The example file in Excel and LO7 (101.87 KB, image/png)
2020-05-27 14:04 UTC, NISZ LibreOffice Team
Details
Screenshot of the document after opening and after saving & reopening (100.12 KB, image/png)
2020-06-02 07:51 UTC, NISZ LibreOffice Team
Details
Rotation position settings in current master (92.50 KB, image/png)
2020-06-02 08:10 UTC, NISZ LibreOffice Team
Details
Comparison MSO 2010 and LibreOffice 7.1 master after RT (87.38 KB, image/png)
2020-06-08 10:46 UTC, Xisco Faulí
Details
The original and exported file in Excel (108.42 KB, image/png)
2020-06-08 12:06 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-10-07 11:38:37 UTC
Created attachment 127853 [details]
The problematic file

The attached Excel 2013 made xlsx file contains a simple image of a left pointing arrow.

This is imported correctly but after changing the file a bit (text added to A1) and saving to xlsx it opens as a right pointing arrow.
Comment 1 Gabor Kelemen 2016-10-07 11:40:41 UTC
Created attachment 127854 [details]
File modified in Calc 5.3alpha
Comment 2 Gabor Kelemen 2016-10-07 11:43:05 UTC
Created attachment 127855 [details]
Screenshot of the files in Calc 5.3alpha
Comment 3 Gabor Kelemen 2016-10-07 11:48:55 UTC
Created attachment 127856 [details]
The same files opened in Excel 2013

In Excel the arrow points to the left, but it's left end is still at the place where it's right end should be.
Comment 4 tommy27 2016-10-07 21:28:07 UTC
not a new bug.
I see the same issue with LibO 5.1.5.2 too under Win8.1 x64
I did not test older branches
Comment 5 Aron Budea 2017-03-17 08:25:05 UTC
Already in 3.3.0.

The arrow is also rendered wrong if the file is saved in ODS and reloaded.
Comment 6 JoNi 2017-03-23 14:50:11 UTC
in the original file the arrow is pointing to the right and rotated by 180°, thus pointing to the left.

This is exported correctly. Open the exported file in excel the arrow still points to the left as attachment 127856 [details] shows.

But on opening the exported xlsx file in LO the rotation is not applied like in bug 83672.

When saving the file as ods (LO 5.2.6) and reopening the rotation is applied, the arrow points to left. (placement is wrong, though)

*** This bug has been marked as a duplicate of bug 83672 ***
Comment 7 NISZ LibreOffice Team 2020-05-27 14:04:12 UTC
Created attachment 161338 [details]
The example file in Excel and LO7

Still an issue in:

Version: 7.0.0.0.alpha1+ (x64)
Build ID: fd238380ae7820f12ac1f7c52d0f7180a93f3ba3
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 8 NISZ LibreOffice Team 2020-05-27 14:05:55 UTC
Duplicate bug was about images, this is a shape with not-imported rotation. 
I almost forgot about this old one of mine :)
Comment 9 NISZ LibreOffice Team 2020-06-02 07:51:48 UTC
Created attachment 161507 [details]
Screenshot of the document after opening and after saving & reopening

In current master the arrow direction is correct on opening (after bug #83593 is solved) and saving, but the X and Y position values still get both significantly larger in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 75eeb423196c1e94a0189b7eccff37aed5765853
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 10 NISZ LibreOffice Team 2020-06-02 08:10:00 UTC
Created attachment 161509 [details]
Rotation position settings in current master

Rotation position also changes dramatically upon save&reload.
Comment 11 Xisco Faulí 2020-06-08 10:46:20 UTC
Created attachment 161757 [details]
Comparison MSO 2010 and LibreOffice 7.1 master after RT

The problem is the arrow is pointing left in MSO 2010 while it's pointing right in LibreOffice after rountripping the document
Comment 12 NISZ LibreOffice Team 2020-06-08 12:06:41 UTC
Created attachment 161761 [details]
The original and exported file in Excel

Rotation looks fine when exported with todays nightly: 

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 59939d2490726336546c7ad05082d23031074e12
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Bibisect-6-5 however does not contain the commit to fix bug #83593

Other things are still happening, like multi-step gradient not being supported.

Also on the easier side of problems:
- Width changes from 19.21 cm to 18.26 cm
- Anchor changes from "Move with cells, but size stays" to "Move and resize with cells" or in XML: <xdr:oneCellAnchor> -> <xdr:twoCellAnchor editAs="twoCell"> 
- Positioning changes, as if the bottom right corner of the shape became the top left, or in XML: 
    <xdr:from>
-      <xdr:col>6</xdr:col>
-      <xdr:colOff>0</xdr:colOff>
-      <xdr:row>2</xdr:row>
-      <xdr:rowOff>0</xdr:rowOff>
+      <xdr:col>17</xdr:col>
+      <xdr:colOff>181800</xdr:colOff>
+      <xdr:row>5</xdr:row>
+      <xdr:rowOff>171720</xdr:rowOff>
    </xdr:from>
and this part appeared too:
    <xdr:to>
      <xdr:col>28</xdr:col>
      <xdr:colOff>363240</xdr:colOff>
      <xdr:row>9</xdr:row>
      <xdr:rowOff>152280</xdr:rowOff>
    </xdr:to>
Comment 13 NISZ LibreOffice Team 2020-08-31 13:14:24 UTC
For the remaining problems we have
bug #123330 for shape getting narrower
bug #123613 for X/Y position changing dramatically

I'm still not sure what's going on with anchors, let's keep this for now as a reminder about that.